# dMatrix Class Reference

A helper class for Sharing - to hold distances. More...

`#include <eoSharing.h>`

List of all members.

## Public Member Functions

| dMatrix (unsigned _s)
double | operator() (unsigned _i, unsigned _j) const
| simple accessor
double & | operator() (unsigned _i, unsigned _j)
| reference - to set values
void | printOn (std::ostream &_os)
| just in case

## Private Attributes

unsigned | rSize

## Detailed Description

A helper class for Sharing - to hold distances.

Definition at line 37 of file eoSharing.h.

The documentation for this class was generated from the following file:

- eoSharing.h